new at LLVM

lli probably doesn't deal well with some of the new metadata. There's not a lot you can do about it unless you want to hack on llvm (though a bug report would be nice). That said, do you need the interpreter?

-eric